/*
 * Copyright 2013  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(FLOG)

#if defined(SECURE_LOGD)
#define DbgPrint(format, arg...)    SECURE_LOGD(format, ##arg)
#else
#define DbgPrint(format, arg...)    LOGD(format, ##arg)
#endif

#if defined(SECURE_LOGD)
#define ErrPrint(format, arg...)    SECURE_LOGE(format, ##arg)
#else
#define ErrPrint(format, arg...)    LOGE(format, ##arg)
#endif

#else
extern FILE *__file_log_fp;
#define DbgPrint(format, arg...) do { fprintf(__file_log_fp, "[LOG] [[32m%s/%s[0m:%d] " format, widget_util_basename(__FILE__), __func__, __LINE__, ##arg); fflush(__file_log_fp); } while (0)

#define ErrPrint(format, arg...) do { fprintf(__file_log_fp, "[ERR] [[32m%s/%s[0m:%d] " format, widget_util_basename(__FILE__), __func__, __LINE__, ##arg); fflush(__file_log_fp); } while (0)
#endif

#ifndef _E
#define _E LOGE
#endif

#ifndef _D
#define _D LOGD
#endif

#ifndef _I
#define _I LOGI
#endif

#define EAPI __attribute__((visibility("default")))
/* End of a file */
